// except.h: interface for the except class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EXCEPT_H__C00C1356_03FE_4815_A422_9D6553172E12__INCLUDED_)
#define AFX_EXCEPT_H__C00C1356_03FE_4815_A422_9D6553172E12__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <iostream>
#include <exception>
using namespace std;


#include "windows.h"

class structured_exception
{
public:
	structured_exception(EXCEPTION_POINTERS const &) throw();
	static void install() throw();
	unsigned what() const throw();
	void const *where() const throw();
	unsigned long more() const throw();
private:
	void const *address_;
	unsigned code_;
	unsigned long exInfo_;
};


#endif // !defined(AFX_EXCEPT_H__C00C1356_03FE_4815_A422_9D6553172E12__INCLUDED_)
